com.lowagie.text.xml.xmp

## Class XmpMMSchema

- java.lang.Object
- - java.util.Dictionary<K,V>
  - - java.util.Hashtable<java.lang.Object,java.lang.Object>
    - - java.util.Properties
      - - com.lowagie.text.xml.xmp.XmpSchema
        - - com.lowagie.text.xml.xmp.XmpMMSchema

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.util.Map<java.lang.Object,java.lang.Object>

    public class XmpMMSchema
    extends XmpSchema

An implementation of an XmpSchema.

See Also:
  Serialized Form

### Field Summary

Fields
`static java.lang.String` `DEFAULT_XPATH_ID` default namespace identifier
`static java.lang.String` `DEFAULT_XPATH_URI` default namespace uri
`static java.lang.String` `DERIVEDFROM` A reference to the original document from which this one is derived.
`static java.lang.String` `DOCUMENTID` The common identifier for all versions and renditions of a document.
`static java.lang.String` `HISTORY` An ordered array of high-level user actions that resulted in this resource.
`static java.lang.String` `MANAGEDFROM` A reference to the document as it was prior to becoming managed.
`static java.lang.String` `MANAGER` The name of the asset management system that manages this resource.
`static java.lang.String` `MANAGERVARIANT` Specifies a particular variant of the asset management system.
`static java.lang.String` `MANAGETO` A URI identifying the managed resource to the asset management system; the presence of this property is the formal indication that this resource is managed.
`static java.lang.String` `MANAGEUI` A URI that can be used to access information about the managed resource through a web browser.
`static java.lang.String` `RENDITIONCLASS` The rendition class name for this resource.
`static java.lang.String` `RENDITIONPARAMS` Can be used to provide additional rendition parameters that are too complex or verbose to encode in xmpMM: RenditionClass.
`private static long` `serialVersionUID`
`static java.lang.String` `VERSIONID` The document version identifier for this resource.
`static java.lang.String` `VERSIONS` The version history associated with this resource.

### Fields inherited from class com.lowagie.text.xml.xmp.XmpSchema

`xmlns`

### Fields inherited from class java.util.Properties

`defaults`

### Constructor Summary

Constructors
Constructor and Description
`XmpMMSchema()`

### Method Summary

### Methods inherited from class com.lowagie.text.xml.xmp.XmpSchema

`addProperty, escape, getXmlns, process, setProperty, setProperty, setProperty, toString`

### Methods inherited from class java.util.Properties

`getProperty, getProperty, list, list, load, load, loadFromXML, propertyNames, save, store, store, storeToXML, storeToXML, stringPropertyNames`

### Methods inherited from class java.util.Hashtable

`clear, clone, contains, containsKey, containsValue, elements, entrySet, equals, get, hashCode, isEmpty, keys, keySet, put, putAll, rehash, remove, size, values`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### serialVersionUID

    private static final long serialVersionUID

See Also:
  Constant Field Values

#### DEFAULT_XPATH_ID

    public static final java.lang.String DEFAULT_XPATH_ID

default namespace identifier

See Also:
  Constant Field Values

#### DEFAULT_XPATH_URI

    public static final java.lang.String DEFAULT_XPATH_URI

default namespace uri

See Also:
  Constant Field Values

#### DERIVEDFROM

    public static final java.lang.String DERIVEDFROM

A reference to the original document from which this one is derived. It is a minimal reference; missing components can be assumed to be unchanged. For example, a new version might only need to specify the instance ID and version number of the previous version, or a rendition might only need to specify the instance ID and rendition class of the original.

See Also:
  Constant Field Values

#### DOCUMENTID

    public static final java.lang.String DOCUMENTID

The common identifier for all versions and renditions of a document.

See Also:
  Constant Field Values

#### HISTORY

    public static final java.lang.String HISTORY

An ordered array of high-level user actions that resulted in this resource. It is intended to give human readers a general indication of the steps taken to make the changes from the previous version to this one. The list should be at an abstract level; it is not intended to be an exhaustive keystroke or other detailed history.

See Also:
  Constant Field Values

#### MANAGEDFROM

    public static final java.lang.String MANAGEDFROM

A reference to the document as it was prior to becoming managed. It is set when a managed document is introduced to an asset management system that does not currently own it. It may or may not include references to different management systems.

See Also:
  Constant Field Values

#### MANAGER

    public static final java.lang.String MANAGER

The name of the asset management system that manages this resource.

See Also:
  Constant Field Values

#### MANAGETO

    public static final java.lang.String MANAGETO

A URI identifying the managed resource to the asset management system; the presence of this property is the formal indication that this resource is managed. The form and content of this URI is private to the asset management system.

See Also:
  Constant Field Values

#### MANAGEUI

    public static final java.lang.String MANAGEUI

A URI that can be used to access information about the managed resource through a web browser. It might require a custom browser plugin.

See Also:
  Constant Field Values

#### MANAGERVARIANT

    public static final java.lang.String MANAGERVARIANT

Specifies a particular variant of the asset management system. The format of this property is private to the specific asset management system.

See Also:
  Constant Field Values

#### RENDITIONCLASS

    public static final java.lang.String RENDITIONCLASS

The rendition class name for this resource.

See Also:
  Constant Field Values

#### RENDITIONPARAMS

    public static final java.lang.String RENDITIONPARAMS

Can be used to provide additional rendition parameters that are too complex or verbose to encode in xmpMM: RenditionClass.

See Also:
  Constant Field Values

#### VERSIONID

    public static final java.lang.String VERSIONID

The document version identifier for this resource.

See Also:
  Constant Field Values

#### VERSIONS

    public static final java.lang.String VERSIONS

The version history associated with this resource.

See Also:
  Constant Field Values

### Constructor Detail

#### XmpMMSchema

    public XmpMMSchema()